<template>
    <div class="loan-details-table">
        <div class="cell">
            <div class="title">Дата первого займа</div>
            <div class="info">{{firstPay|date}}</div>
        </div>

        <div class="cell">
            <div class="title">Плановая дата погашения</div>
            <div class="info">{{lastPay|date}}</div>
        </div>

        <div class="divider" v-if="$interface.isMobile"></div>
        <div class="cell">
            <div class="title">Срок займа</div>
            <div class="info">{{loanPeriod}} {{$helpers.plural(loanPeriod, ['месяц', 'месяца', 'месяцев'])}}</div>
        </div>

        <div class="cell">
            <div class="title">Долг на текущую дату</div>
            <div class="info">{{totalDebt|currency}} ₽</div>
        </div>
    </div>
</template>

<script>
    import dayjs from 'dayjs';
    import PosScheduleMixin from '../mixins/schedule';
	export default {
        name: 'component-pos-loan-details-table',
        mixins: [PosScheduleMixin],
        computed: {
        	firstPay () {
        		return this.$POS.schedule[0].date;
            },
			lastPay () {
        		return this.$POS.schedule[this.$POS.schedule.length - 1].date;
            },
            loanPeriod () {
        		return dayjs(this.lastPay).diff(this.firstPay, 'month');
            },
			totalDebt () {
				let overdueSum = this.debtSum.percent + this.debtSum.penalties + this.debtSum.body;
				let scheduleSum = this.$POS.schedule.reduce((a, schedule) => {
					if(!schedule.isPaid) {
						return a + schedule.amount;
					}

					return a;
				}, 0);

				return overdueSum + scheduleSum;
			},
        },
        filters: {
			date(value) {
                return dayjs(value).format('DD.MM.YYYY')
			}
        }
	};
</script>

<style scoped>

</style>
